<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: menu.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
include INFUSIONS."css_dropdown_menu/infusion_db.php";

$menusettings = dbarray(dbquery("SELECT * FROM ".DB_MENU_SETTINGS));

add_to_head("<style type=\"text/css\">
/* menu styles */
#menu {
	z-index:1;
	margin: 0px auto;
	padding: 0;
	width: ".((dbcount("(menu_id)", DB_MENUS, "menu_cat='0' AND ".groupaccess("menu_access")."") * ($menusettings['mset_width'] + 26)))."px;
}

#menu li {
	z-index:1;
	float: left;
	list-style: none;
	border: 1px solid #".$menusettings['mset_bordercol'].";         /* FARVE P KANTEN I HOVEDMENU */
	font-size: ".$menusettings['mset_textsize']."px         /* SKRIFT-STRRELSE I HOVEDMENU */
}

#menu li a {
	z-index:1;
	display: block;
	text-align: ".$menusettings['mset_textalign'].";         /* TEKST JUSTERIGNG I HOVEDMENU */
	font-family: ".$menusettings['mset_textfont'].";         /* SKRIFTTYPE I HOVEDMENU */
	background: url('".INFUSIONS."css_dropdown_menu/".$menusettings['mset_imgoff_main']."') top left repeat-x;         /* BAGGRUNDSBILLEDE I HOVEDMENU */
	background-color: #".$menusettings['mset_bgcolor'].";         /* BAGGRUNDSFARVE I HOVEDMENU */
	padding: 3px 12px;
	text-decoration: none;         /* TEKST-DEKORATION I HOVEDMENU */
	width: ".$menusettings['mset_width']."px;         /* BREDDE P HOVEDMENU */
	color: #".$menusettings['mset_textcolor'].";         /* FARVE P TEKST I HOVEDMENU */
	font-weight: ".$menusettings['mset_textweight'].";         /* TEKST-TYKKELSE I HOVEDMENU */
	white-space: nowrap
}

#menu li a:hover {
	z-index:1;
	font-family: ".$menusettings['mset_textfont'].";         /* SKRIFTTYPE I UNDERMENU */
	color: #".$menusettings['mset_htextcolor'].";         /* FARVE P MOUSE-OVER TEKST I HOVEDMENU */
	background: url('".INFUSIONS."css_dropdown_menu/".$menusettings['mset_imgon']."') top left repeat-x;         /* BAGGRUNDSBILLEDE VED MOUSE-OVER I HOVEDMENU */
	background-color: #".$menusettings['mset_hbgcolor'].";         /* BAGGRUNDSFARVE I HOVEDMENU VED MOUSE-OVER*/
	font-weight: ".$menusettings['mset_textweight_on'].";         /* TEKST-TYKKELSE VED MOUSE-OVER I HOVEDMENU */
	text-decoration: none         /* TEKST-DEKORATION VED MOUSE-OVER I HOVEDMENU */
}
		
#menu li ul {
	z-index:1;
	margin: 0;
	padding: 0;
	position: absolute;
	visibility: hidden;
	border: 1px solid #".$menusettings['mset_bordercol'].";         /* FARVE P KANTEN I UNDERMENU */
}
		
#menu li ul li {
	float: none;
	background-color: #".$menusettings['mset_hbgcolor_sub'].";         /* BAGGRUNDSFARVE I UNDERMENU */
	font-family: ".$menusettings['mset_textfont'].";
	border: 0;
	font-size: ".$menusettings['mset_textsize']."px;         /* SKRIFT-STRRELSE I UNDERMENU */
	display: inline
}
			
#menu li ul li a {
	font-family: ".$menusettings['mset_textfont'].";
	width: ".$menusettings['mset_width_sub']."px;         /* BREDDE P UNDERNENU */
	padding-left: 17px;
	background: url('".INFUSIONS."css_dropdown_menu/".$menusettings['mset_imgoff']."') 5px no-repeat;         /* BAGGRUNDSBILLEDE I UNDERMENU */
	background-color: #".$menusettings['mset_hbgcolor_sub_on'].";         /* BAGGRUNDSFARVE VED MOUSE-OVER I UNDERMENU */
	border: 0;
	font-weight: ".$menusettings['mset_textweight_sub'].";         /* TEKST-TYKKELSE I UNDERMENU */
	color: #".$menusettings['mset_textcolor_sub']."         /* FARVE P TEKST I UNDERMENU */
}
			
#menu li ul li a:hover {
	font-family: ".$menusettings['mset_textfont'].";
	font-weight: ".$menusettings['mset_textweight_sub_on'].";         /* TEKST-TYKKELSE VED MOUSE-OVER I UNDERMENU */
	background: url('".INFUSIONS."css_dropdown_menu/".$menusettings['mset_imgon_sub']."') top left repeat-x;         /* BAGGRUNDSBILLEDE VED MOUSE-OVER I UNDERMENU */
	background-color: #".$menusettings['mset_hbgcolor_sub'].";         /* BAGGRUNDSFARVE VED MOUSE-OVER I UNDERMENU */
	border: 0;         /* KANT-TYKKELSE VED MOUSE-OVER I UNDERMENU */
	text-decoration: none;         /* TEKST-DEKORATION VED MOUSE-OVER I UNDERMENU */
	color: #".$menusettings['mset_htextcolor_sub']."         /* FARVE P TEKST VED MOUSE-OVER I UNDERMENU */
}
</style>");

add_to_head("<script type=\"text/javascript\">
var timeout         = 500;
var closetimer		= 0;
var ddmenuitem      = 0;

function menu_open() {
	menu_canceltimer();
	menu_close();
	ddmenuitem = jQuery(this).find('ul').eq(0).css('visibility', 'visible');
}

function menu_close() {
	if(ddmenuitem) ddmenuitem.css('visibility', 'hidden');
}

function menu_timer() {
	closetimer = window.setTimeout(menu_close, timeout);
}

function menu_canceltimer() {
if(closetimer) {
	window.clearTimeout(closetimer);
	closetimer = null;
}
}

jQuery(document).ready(function() {
	jQuery('#menu > li').bind('mouseover', menu_open);
	jQuery('#menu > li').bind('mouseout',  menu_timer);
}
);

document.onclick = menu_close;
</script>");

$msql = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='0' ORDER BY menu_order");
if (dbrows($msql) != 0) {
  echo "<ul id='menu'>";
  while ($mdata = dbarray($msql)) {
    if (checkgroup($mdata['menu_access'])) {        
      $link_target = ($mdata['menu_window'] == "1" ? " target='_blank'" : "");
      if (strstr($mdata['menu_link'], "http://") || strstr($mdata['menu_link'], "https://")) {
        echo "<li><a href='".$mdata['menu_link']."'".$link_target.">".$mdata['menu_name']."</a>\n";
      } else {
        echo "<li><a href='".BASEDIR.$mdata['menu_link']."'".$link_target.">".$mdata['menu_name']."</a>\n";
      }
      
      
      $msql2 = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='".$mdata['menu_id']."' ORDER BY menu_order");
      if (dbrows($msql2) != 0) {
        echo "<ul>";
        while ($mdata2 = dbarray($msql2)) {
          if (checkgroup($mdata2['menu_access'])) {                      
            $link_target = ($mdata2['menu_window'] == "1" ? " target='_blank'" : "");
            if (strstr($mdata2['menu_link'], "http://") || strstr($mdata2['menu_link'], "https://")) {
              echo "<li><a href='".$mdata2['menu_link']."'".$link_target.">".$mdata2['menu_name']."</a>\n";
            } else {
              echo "<li><a href='".BASEDIR.$mdata2['menu_link']."'".$link_target.">".$mdata2['menu_name']."</a>\n";
            }
            
            
            $msql3 = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='".$mdata2['menu_id']."' ORDER BY menu_order");
            if (dbrows($msql3) != 0) {
              echo "<ul>";
              while ($mdata3 = dbarray($msql3)) {
                if (checkgroup($mdata3['menu_access'])) {
                  $link_target = ($mdata3['menu_window'] == "1" ? " target='_blank'" : "");
                  if (strstr($mdata3['menu_link'], "http://") || strstr($mdata3['menu_link'], "https://")) {
                    echo "<li><a href='".$mdata3['menu_link']."'".$link_target.">".$mdata3['menu_name']."</a></li>\n";
                  } else {
                    echo "<li><a href='".BASEDIR.$mdata3['menu_link']."'".$link_target.">".$mdata3['menu_name']."</a></li>\n";
                  }
                }
              }
              echo "</ul>\n";
            }
            echo "</li>\n";
          }
        }
        echo "</ul>\n";
      }
      echo "</li>\n";
    }
  }
  echo "</ul>\n";
}

?>